Get the results of the cycle count report as an xlsx file

Body·
application/json
  • clientPartnerId
    Type: string | nullFormat: uuid

    The client partner to filter by

  • dateFrom
    Type: stringFormat: date

    The start date in the cycle count date range

  • dateTo
    Type: stringFormat: date

    The end date in the cycle count date range

  • isPickface
    Type: boolean | null

    If the report should show:

    • When not set: Shows all locations
    • When set to true: Shows only pickface locations
    • When set to false: Shows only non-pickface location
  • partnerProductId
    Type: string | nullFormat: uuid

    The product to filter by

  • showOnlyVariance
    Type: boolean

    If the report should show only variance

  • warehouseId
    Type: string | nullFormat: uuid

    The warehouse to filter by

Responses
  • 200

    OK

Request Example for post/v1/reports/cycle-count/xlsx
curl https://api.consignlyhq.com/v1/reports/cycle-count/xlsx \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "dateFrom": "date (YYYY-MM-DD)",
  "dateTo": "date (YYYY-MM-DD)",
  "warehouseId": null,
  "isPickface": null,
  "clientPartnerId": null,
  "partnerProductId": null,
  "showOnlyVariance": true
}'
No Body